Bug 142382 - [patch] Fix mail/mailscanner 4.79.4
Summary: [patch] Fix mail/mailscanner 4.79.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-06 16:00 UTC by mike.jakubik
Modified: 2010-01-09 23:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.04 KB, patch)
2010-01-06 16:00 UTC, mike.jakubik
no flags Details | Diff
ms.patch (3.01 KB, patch)
2010-01-08 20:35 UTC, mike.jakubik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mike.jakubik 2010-01-06 16:00:13 UTC
This is a workaround to the continuous taint mode incompatibilities with this code.

Since I have been unsuccessful at reaching the mailscanner community to address these, i created this work around instead.

- This patch introduces a new rc variable called "mailscanner_user". If you changed the "Run As User" variable in MailScanner.conf (which triggers taint mode) you MUST now also set the same value in /etc/rc.conf.

- Removed ulimit bump from startup script, since its now dynamically set at boot time based on system resources.
Comment 1 Philip M. Gollucci freebsd_committer 2010-01-07 01:33:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it. 

It still doesn't apply, but its small enough I'll do it by hand

[09:06 PM](1)pgollucci@frieza.p6m7g8.net j0 h1 c501
/pr/mail/mailscanner
getpr 142382
[09:06 PM](1)pgollucci@frieza.p6m7g8.net j0 h2 c502
/pr/mail/mailscanner
prpatch
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -urN mailscanner.orig/Makefile mailscanner/Makefile
|--- mailscanner.orig/Makefile   2010-01-04 15:19:40.000000000 -0500
|+++ mailscanner/Makefile        2010-01-04 16:00:18.000000000 -0500
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 7.
1 out of 1 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -urN mailscanner.orig/files/mailscanner.in mailscanner/files/mailscanner.in
|--- mailscanner.orig/files/mailscanner.in       2010-01-04 15:19:40.000000000 -0500
|+++ mailscanner/files/mailscanner.in    2010-01-04 15:57:33.000000000 -0500
--------------------------
File to patch: files/mailscanner.in
Patching file files/mailscanner.in using Plan A...
Hunk #1 succeeded at 10.
Hunk #2 failed at 23.
1 out of 2 hunks failed--saving rejects to files/mailscanner.in.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -urN mailscanner.orig/files/pkg-message.in mailscanner/files/pkg-message.in
|--- mailscanner.orig/files/pkg-message.in       2010-01-04 15:19:40.000000000 -0500
|+++ mailscanner/files/pkg-message.in    2010-01-04 15:41:35.000000000 -0500
--------------------------
File to patch: files/pkg-message.in
Patching file files/pkg-message.in using Plan A...
Hunk #1 failed at 38.
1 out of 1 hunks failed--saving rejects to files/pkg-message.in.rej
Hmm...  Ignoring the trailing garbage.
done
./Makefile.orig
./files/mailscanner.in.orig
./files/pkg-message.in.orig
./Makefile.rej
./files/mailscanner.in.rej
./files/pkg-message.in.rej
[09:06 PM](1)pgollucci@frieza.p6m7g8.net j0 h3 c503
/pr/mail/mailscanner
xclean
bash: xclean: command not found
[09:06 PM](1)pgollucci@frieza.p6m7g8.net j0 h4 c504
/pr/mail/mailscanner
find . -type f -name "*.rej"
./Makefile.rej
./files/mailscanner.in.rej
./files/pkg-message.in.rej
[09:06 PM](1)pgollucci@frieza.p6m7g8.net j0 h5 c505
/pr/mail/mailscanner
exit
exit

Script done on Wed Jan  6 21:06:41 2010
Comment 2 mike.jakubik 2010-01-07 15:46:26 UTC
Thanks. I think this is maybe because the web version of send-pr cuts 
out tabs? This is a simple copy and paste of diff -urN. Is there a 
better way i can submit diffs in the future?
Comment 3 mike.jakubik 2010-01-08 20:35:27 UTC
I'm attaching a new patch, this updated patch fixes permission problems 
with pid file.

Comment 4 Philip M. Gollucci freebsd_committer 2010-01-09 23:45:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2010-01-09 23:45:16 UTC
pgollucci    2010-01-09 23:45:02 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailscanner     Makefile 
    mail/mailscanner/files mailscanner.in pkg-message.in 
  Log:
  This is a workaround to the continuous taint mode incompatibilities with this code.
  
  - This patch introduces a new rc variable called "mailscanner_user". If you changed the "Run As User"
    variable in MailScanner.conf (which triggers taint mode) you MUST now also set the same value in /etc/rc.conf.
  - Removed ulimit bump from startup script, since its now dynamically set at boot time based on system resources.
  - fixes permission problems with pid file.
  
  PR:             ports/142382
  Submitted by:   Mike Jakubik <mike.jakubik@intertainservices.com>
  
  Revision  Changes    Path
  1.80      +1 -0      ports/mail/mailscanner/Makefile
  1.2       +13 -7     ports/mail/mailscanner/files/mailscanner.in
  1.5       +13 -2     ports/mail/mailscanner/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"